<?xml version='1.0' encoding='UTF-8'?>
<bookkeeping 
	xmlns='com/interrupt/bookkeeping'
	xmlns:account='com/interrupt/bookkeeping/account' 
	xmlns:journal='com/interrupt/bookkeeping/journal' 
	xmlns:currency='com/interrupt/bookkeeping/currency' 
	id='main.bookkeeping' > 
	
	
	
	<!--
		1. no 2 currencies can have the same 'id' 
		2. An account MUST specify in which currency it is denominated 
		3. Entry(s) should balance in the default currency unless otherwise specified 
		4. DebitPointer(s) / Debit(s) must be put in Account(s) of the same currency 
	--> 
	<currency:currencies id='main.currencies' default='CDN' > 
		<currency:currency id='CDN' name='Canadian Dollar' /> 
		<currency:currency id='USD' name='US Dollar' /> 
		<currency:currency id='BP' name='British Pound' /> 
		<currency:currency id='EUR' name='Euoropean Euro' /> 
		<currency:currency id='JPN' name='Japanese Yen' /> 
	</currency:currencies>
	
	
	<!-- 1. account types are: asset, liability, expense, revenue
	     2. each account has a given counter weight
		
		<account:account type="asset" 		id="" name="" counterWeight="debit" />
		<account:account type="expense" 	id="" name="" counterWeight="debit" />
		<account:account type="liability" 	id="" name="" counterWeight="credit"/>
		<account:account type="revenue" 	id="" name="" counterWeight="credit" />
	-->
    <account:accounts id='main.accounts' >  
	</account:accounts>  
	
	<journal:journals id='main.journals' >
	    <journal:journal id='generalledger' name='generalledger' type='' balance=''>  
			<journal:entries id='main.entries'  >  
			</journal:entries> 
	    </journal:journal>  
	</journal:journals>
</bookkeeping>

